rte_port_ethdev.h(3)

NAME
rte_port_ethdev.h

SYNOPSIS

#include <stdint.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_ethdev_reader_params
struct rte_port_ethdev_writer_params
struct rte_port_ethdev_writer_nodrop_params

  Variables

struct rte_port_in_ops rte_port_ethdev_reader_ops
struct rte_port_out_ops rte_port_ethdev_writer_ops
struct rte_port_out_ops rte_port_ethdev_writer_nodrop_ops

Detailed Description

RTE Port Ethernet Device

ethdev_reader: input port built on top of pre-initialized NIC RX queue ethdev_writer: output port built on top of pre-initialized NIC TX queue

Definition in file rte_port_ethdev.h.

Variable Documentation

  struct rte_port_in_ops rte_port_ethdev_reader_ops [extern]
ethdev_reader port operations

  struct rte_port_out_ops rte_port_ethdev_writer_ops [extern]
ethdev_writer port operations

  struct rte_port_out_ops rte_port_ethdev_writer_nodrop_ops [extern]
ethdev_writer_nodrop port operations

Author

Generated automatically by Doxygen for DPDK from the source code.